play.mvc.results

## Class RenderXml

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.utils.FastRuntimeException
        - - play.mvc.results.Result
          - - play.mvc.results.RenderXml

All Implemented Interfaces:
  java.io.Serializable

    public class RenderXml
    extends Result

200 OK with a text/xml

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RenderXml(java.lang.CharSequence xml)`
`RenderXml(org.w3c.dom.Document document)`
`RenderXml(java.lang.Object o)`
`RenderXml(java.lang.Object o, com.thoughtworks.xstream.XStream xstream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Http.Request request, Http.Response response)`
`java.lang.String` `getXml()`

### Methods inherited from class play.mvc.results.Result

`getEncoding, setContentTypeIfNotSet`

### Methods inherited from class play.utils.FastRuntimeException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenderXml

    public RenderXml(java.lang.CharSequence xml)

#### RenderXml

    public RenderXml(org.w3c.dom.Document document)

#### RenderXml

    public RenderXml(java.lang.Object o,
                     com.thoughtworks.xstream.XStream xstream)

#### RenderXml

    public RenderXml(java.lang.Object o)

### Method Detail

#### apply

    public void apply(Http.Request request,
                      Http.Response response)

Specified by:
  `apply` in class `Result`

#### getXml

    public java.lang.String getXml()